Return chain properties

Return chain properties#

Description#

Returns properties for a chain with the provided ID, or a 404 if no such chain is found.

GET /v1/metadata/environment/{environment_id}/chain/{chain_id}

Parameters#

Parameter

In

Type

Required

Description

environment_id

path

string

true

The ID of the Environment.

chain_id

path

string

true

The ID of the Chain.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a ChainResponse containing the Chain object that matches the provided environment_id and chain_id.

Example Responses#

{
  "data": {
    "id": "1",
    "internal_id": 0,
    "name": "List File Content",
    "description": "",
    "created_at": "2018-03-14 20:10:39.520585",
    "updated_at": "2018-03-14 20:10:39.520585",
    "disabled": true,
    "concurrency_enabled": false,
    "runtime_inputs": [
      {
        "vuid": "data.chain.45072337-72ee-4c52-9428-0b2ae21ac73c",
        "data_type": "string"
      }
    ],
    "schedules": [
      {
        "enabled": true,
        "start_at": "2019-02-08 06:25:00",
        "end_at": "2019-02-08 06:25:00",
        "properties": {
          "days_of_month": [
            "15",
            "30"
          ],
          "days_of_week": [],
          "recurring_interval": 1,
          "recurring_type": "monthly",
          "run_at_hours": 10,
          "run_at_minutes": 1,
          "run_at_seconds": 0,
          "stop_at_hours": null,
          "stop_at_minutes": null,
          "zone": "America/New_York"
        }
      }
    ]
  }
}